---
updatedAt: 2026-03-20T06:40:23.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# Search by identifier from url parameter

Search by either email or phone number to retrieve an array of zero or more DOT numbers which include that identifier in the risk report. If both the email and phone query parameters are present, only email will be searched.

<TutorialTile emoji="🦉" slug="understand-comprehensive-risk-for-carriers" title="Understand comprehensive risk for carriers" />

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Risk Factor Analysis",
    "description": "Based on our robust internal data and data from our strategic partners, we leverage Generative AI (GenAI) to produce a human-readable narrative about the Risk Profile of a given carrier and deliver that context via an easy to implement API. The Risk Factor Analysis API consumes risk factor reports associated to Carriers based on DOT/MC numbers and by email/phone lookup.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.truckstop.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "paths": {
    "/riskfactoranalysis/v1/carriers/search": {
      "get": {
        "tags": [
          "Find carrier(s) related to email or phone"
        ],
        "summary": "Search by identifier from url parameter",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "description": "Search by either email or phone number to retrieve an array of zero or more DOT numbers which include that identifier in the risk report. If both the email and phone query parameters are present, only email will be searched.",
        "parameters": [
          {
            "name": "Accept",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "application/json",
            "required": true
          },
          {
            "name": "email",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Email address to search",
            "example": "<string>"
          },
          {
            "name": "phone",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Phone number to search",
            "example": "<string>"
          },
          {
            "name": "vin",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "VIN to search",
            "example": "<string>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string",
                  "example": "application/json"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "dotNumbers": [
                    "<string>",
                    "<string>"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string",
                  "example": "application/json"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "type": "<string>",
                  "title": "<string>",
                  "status": "<integer>",
                  "detail": "<string>",
                  "instance": "<string>"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                },
                "example": null
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string",
                  "example": "application/json"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "type": "<string>",
                  "title": "<string>",
                  "status": "<integer>",
                  "detail": "<string>",
                  "instance": "<string>"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```